Skip to main content

Get a lead by ID

GEThttps://api.propexo.com/v1/leads/:id

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

id stringrequired

The ID of the resource.

Query parameters​

order-by string

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

Default value: created_at:desc
updated_at_gte string | null

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_lte string | null

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

last_seen_gte string | null

Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

last_seen_lte string | null

Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offset integer | null

Possible values: >= 0

Can be used for paginating results

Default value: 0
limit integer | null

Possible values: >= 0 and <= 250

A number between 1 and 250 to determine the number of results to return in a single query

Default value: 100

Response​

Successful response

    meta objectrequired
    offsetinteger

    The offset of the first result

    Possible values: >= 0

    Example: 0
    limitinteger

    The number of results to return

    Possible values: >= 0 and <= 250

    Example: 100
    orderBy object[]required

    The order of the results

  • Array [
  • object
  • ]
  • hasMoreboolean | nullnullable

    Whether there are more results

    totalinteger

    The total number of results

    Possible values: >= 0

    Example: 1000
    results objectrequired
    idstringrequired

    The Propexo unique identifier for the lead

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_created_atnullrequired

    The date the record first entered the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_guestcard_idnullrequired

    The external ID of the guestcard from the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_idstringrequired

    The external ID from the integration vendor

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: f526684a-e2c3-4425-bc65-559fa015fd5b
    x_leasing_agent_idstring | nullnullablerequired

    The external ID of the leasing agent from the integration vendor

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: acef1ca1-d1c9-4c0c-8b03-f82b891402e9
    x_property_idstringrequired

    The external ID of the property from the integration vendor

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: ae9994dd-846f-4466-9752-306df25f7882
    x_unit_idnullrequireddeprecated

    DEPRECATED: Use x_unit_id_preferred instead

    Notice

    This field will always be null for RESMAN

    Example: null
    x_unit_id_preferrednullrequired

    The external IDs of the units from the integration vendor that the lead is interested in

    Notice

    This field will always be null for RESMAN

    Example: null
    x_updated_atnullrequired

    The date the record was last updated in the integration vendor

    Notice

    This field will always be null for RESMAN

    Example: null
    x_lead_source_idstring | nullnullablerequired

    The external ID of the lead source from the integration vendor

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 000f2ced-b403-48ac-83a3-c0762b726198
    address_1string | nullnullablerequired

    The first address line associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 7810 West St
    address_2string | nullnullablerequired

    The second address line associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: Apt 3
    citystring | nullnullablerequired

    The city associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: Orlando
    countrystring | nullnullablerequired

    The country associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: FL
    custom_data object | nullrequired
    object
    date_of_birthnullrequired

    The date of birth associated with the lead

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_amenitiesnullrequired

    The desired amenities associated with the lead

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_floor_plan_idnullrequired

    The external ID of desired floor plan associated with the lead

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_floor_plan_namenullrequired

    The desired floor plan name

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_lease_term_in_monthsnullrequired

    The desired lease term

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_max_rent_in_centsnumber | nullnullablerequired

    The desired maximum rent

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 180000
    desired_max_square_ftnullrequired

    The desired maximum square feet

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_min_rent_in_centsnumber | nullnullablerequired

    The desired minimum rent

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 140000
    desired_min_square_ftnullrequired

    The desired minimum square feet

    Notice

    This field will always be null for RESMAN

    Example: null
    desired_num_bathroomsnumber | nullnullablerequired

    The desired number of bathrooms

    Important

    This field is mapped to the minimum desired from the customer. ResMan also offers "Exact" and "Max". Contact support if you'd like these values.

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 1.5
    desired_num_bedroomsinteger | nullnullablerequired

    The desired number of bedrooms

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 2
    desired_unit_numberstring | nullnullablerequired

    The desired unit number

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 204
    desired_unit_typenullrequired

    The desired unit type

    Notice

    This field will always be null for RESMAN

    Example: null
    email_1string | nullnullablerequired

    The primary email address associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    email_2string | nullnullablerequired

    The secondary email address associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    first_namestring | nullnullablerequired

    The first name associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: John
    ilsnullrequired

    The name of the Internet listing service

    Notice

    This field will always be null for RESMAN

    Example: null
    last_namestring | nullnullablerequired

    The last name associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: Doe
    lead_sourcestring | nullnullablerequired

    The lead source

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 2a15e56e-1fd7-4b63-88b5-81a79b0703ab
    leasing_agentstring | nullnullablerequired

    The name of the leasing agent

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: Jane Doe
    middle_namestring | nullnullablerequired

    The middle name associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: Arnold
    notesstring | nullnullablerequired

    Notes associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: Looking for a 12 month lease.
    number_of_occupantsinteger | nullnullablerequired

    The number of occupants

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 2
    pet_detailsnullrequireddeprecated

    DEPRECATED: Use the pets array instead

    Notice

    This field will always be null for RESMAN

    Example: null
    pets object[]required

    The pets associated with the lead

    Notice

    This field is not currently hydrated for RESMAN

  • Array [
  • idstringrequired

    The Propexo unique identifier for the lead pet

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    updated_atstringrequired

    The date record was last updated in Propexo

    Example: 2024-03-22T10:59:45.119Z
    last_seenstring | nullnullablerequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    age_in_yearsnumber | nullnullablerequired

    The age in years of the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    breedstring | nullnullablerequired

    The breed of the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    colorstring | nullnullablerequired

    The color of the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    gender_rawstring | nullnullablerequired

    The raw value for the gender of the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    is_fixedboolean | nullnullablerequired

    Whether the lead pet is fixed

    Notice

    This field is not currently hydrated for RESMAN

    is_service_animalboolean | nullnullablerequired

    Whether the lead pet is a service animal

    Notice

    This field is not currently hydrated for RESMAN

    namestring | nullnullablerequired

    The name associated with the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    notesstring | nullnullablerequired

    Notes associated with the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    typestring | nullnullablerequired

    The type associated with the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    weight_in_poundsnumber | nullnullablerequired

    The weight in pounds of the lead pet

    Notice

    This field is not currently hydrated for RESMAN

    custom_data object | nullrequired
    object
  • ]
  • phone_1_typenullrequired

    Type of the primary phone number

    Notice

    This field will always be null for RESMAN

    Example: null
    phone_1string | nullnullablerequired

    Primary phone number associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: (555) 555-5555
    phone_2_typenullrequired

    Type of the secondary phone number

    Notice

    This field will always be null for RESMAN

    Example: null
    phone_2string | nullnullablerequired

    Secondary phone number associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: (555) 555-5554
    statestring | nullnullablerequired

    The state associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: FL
    statusstring | nullnullablerequired

    The raw status associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: lost
    target_move_in_datestring | nullnullablerequired

    The target move in date

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 2023-10-31T00:00:00.000Z
    zipstring | nullnullablerequired

    The zip code associated with the lead

    InterfaceMethod
    Lead Management/MITS/SearchProspects
    Example: 32801
    property_idstringrequired

    The Propexo unique identifier for the property

    Example: clwi5xiix000008l6ctdgafyh
    lead_source_idnullrequired

    The Propexo unique identifier for the lead source

    Notice

    This field will always be null for RESMAN

    Example: null
    unit_id_preferrednullrequired

    The Propexo unique identifiers for the units that the lead is interested in

    Notice

    This field will always be null for RESMAN

    Example: null
    integration_idstringrequired

    The Propexo unique identifier for the integration

    Example: clwh5u07w000508me66sfh3um
    integration_vendorEnum23required

    The property management system of record

    Show 13 enum values
    RESMANAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINEYARDIYARDI_REST
    Example: RESMAN
    screenings object[]required
    Notice

    This field is not currently hydrated for RESMAN

  • Array [
  • idstringrequired

    The Propexo ID of the screening

    Example: clwktsp9v000008l31iv218hn
    created_atstringrequired

    The date record first entered Propexo

    Example: 2024-03-21T15:38:08.337Z
    last_seenstringrequired

    The date the record was last seen from the PMS

    Example: 2024-03-22T10:59:45.119Z
    x_idstringrequired

    The external ID from the integration vendor

    status_rawstring | nullnullablerequired

    The status/results of the screening

    Notice

    This field is not currently hydrated for RESMAN

    screening_datestring | nullnullablerequired

    The date the screening took place

    Notice

    This field is not currently hydrated for RESMAN

  • ]

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
GET /v1/leads/:id
curl https://api.propexo.com/v1/leads/:id \
-H "Authorization: Bearer <token>"
200 Successful response
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_created_at": null,
"x_guestcard_id": null,
"x_id": "f526684a-e2c3-4425-bc65-559fa015fd5b",
"x_leasing_agent_id": "acef1ca1-d1c9-4c0c-8b03-f82b891402e9",
"x_property_id": "ae9994dd-846f-4466-9752-306df25f7882",
"x_unit_id_preferred": null,
"x_updated_at": null,
"x_lead_source_id": "000f2ced-b403-48ac-83a3-c0762b726198",
"address_1": "7810 West St",
"address_2": "Apt 3",
"city": "Orlando",
"country": "FL",
"custom_data": "Unknown Type: object,null",
"date_of_birth": null,
"desired_amenities": null,
"desired_floor_plan_id": null,
"desired_floor_plan_name": null,
"desired_lease_term_in_months": null,
"desired_max_rent_in_cents": 180000,
"desired_max_square_ft": null,
"desired_min_rent_in_cents": 140000,
"desired_min_square_ft": null,
"desired_num_bathrooms": 1.5,
"desired_num_bedrooms": 2,
"desired_unit_number": "204",
"desired_unit_type": null,
"email_1": "[email protected]",
"email_2": "[email protected]",
"first_name": "John",
"ils": null,
"last_name": "Doe",
"lead_source": "2a15e56e-1fd7-4b63-88b5-81a79b0703ab",
"leasing_agent": "Jane Doe",
"middle_name": "Arnold",
"notes": "Looking for a 12 month lease.",
"number_of_occupants": 2,
"pets": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"age_in_years": 0,
"breed": "string",
"color": "string",
"gender_raw": "string",
"is_fixed": true,
"is_service_animal": true,
"name": "string",
"notes": "string",
"type": "string",
"weight_in_pounds": 0,
"custom_data": "Unknown Type: object,null"
}
],
"phone_1_type": null,
"phone_1": "(555) 555-5555",
"phone_2_type": null,
"phone_2": "(555) 555-5554",
"state": "FL",
"status": "lost",
"target_move_in_date": "2023-10-31T00:00:00.000Z",
"zip": "32801",
"property_id": "clwi5xiix000008l6ctdgafyh",
"lead_source_id": null,
"unit_id_preferred": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "RESMAN",
"screenings": [
{
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "string",
"status_raw": "string",
"screening_date": "string"
}
]
}
}